Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.event
Class StandardOutputResolver

    java.lang.Object
      net.sf.saxon.event.StandardOutputResolver

All Implemented Interfaces:
  OutputURIResolver

    public class StandardOutputResolver

extends Object
implements OutputURIResolver

This class defines the default OutputURIResolver. This is a counterpart to the JAXP URIResolver, but is used to map the URI of a secondary result document to a Result object which acts as the destination for the new document.

Author:
  Michael H. Kay

Constructor Summary
`StandardOutputResolver()`

Method Summary
`void` | `close(Result result)` Signal completion of the result document.
`static StandardOutputResolver` | `getInstance()` Get a singular instance
`Result` | `resolve(String href, String base)` Resolve an output URI

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardOutputResolver

    public StandardOutputResolver()

Method Detail

### getInstance

    public static StandardOutputResolver getInstance()

  Get a singular instance

### resolve

    public Result resolve(String href,
                          String base)
                   throws XPathException

  Resolve an output URI

  Specified by:
    `resolve` in interface `OutputURIResolver`
  Parameters:
    `href` - The relative URI of the output document. This corresponds to the href attribute of the xsl:result-document instruction.
    `base` - The base URI that should be used. This is the base output URI, normally the URI of the principal output file.
  Returns:
    a Result object representing the destination for the XML document
  Throws:
    `XPathException`

### close

    public void close(Result result)
               throws XPathException

  Signal completion of the result document. This method is called by the system when the result document has been successfully written. It allows the resolver to perform tidy-up actions such as closing output streams, or firing off processes that take this result tree as input. Note that the OutputURIResolver is stateless, so the original href is supplied to identify the document that has been completed.

  Specified by:
    `close` in interface `OutputURIResolver`
  Parameters:
    `result` - The result object returned by the previous call of resolve()
  Throws:
    `XPathException`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.